## net.sf.saxon.expr
Class Atomizer.AtomizingFunction

    java.lang.Object
      net.sf.saxon.expr.Atomizer.AtomizingFunction

All Implemented Interfaces:
  MappingFunction

Enclosing class:
  Atomizer

public static class Atomizer.AtomizingFunction
extends java.lang.Object
implements MappingFunction

Implement the mapping function. This is stateless, so there is a singleton instance.

Method Summary
`static SequenceIterator` `getAtomizingIterator(SequenceIterator base)`
`static Atomizer.AtomizingFunction` `getInstance()` Get the singleton instance
`java.lang.Object` `map(Item item, XPathContext context)` Map one item to a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Atomizer.AtomizingFunction getInstance()

  Get the singleton instance

  Returns:
    the singleton instance of this mapping function

### getAtomizingIterator

    public static SequenceIterator getAtomizingIterator(SequenceIterator base)

### map

    public java.lang.Object map(Item item,
                                XPathContext context)
                         throws XPathException

  Description copied from interface: `MappingFunction`
  Map one item to a sequence.

  Specified by:
    `map` in interface `MappingFunction`
  Parameters:
    `item` - The item to be mapped. If context is supplied, this must be the same as context.currentItem().
    `context` - The processing context. Some mapping functions use this because they require context information. Some mapping functions modify the context by maintaining the context item and position. In other cases, the context may be null.
  Returns:
    either (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) an Item if it maps to a single item, or (c) null if it maps to an empty sequence.
  Throws:
    `XPathException`